> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update invoice

> Updates an existing invoice. Payments, refunds and writeoffs are not changed, but updates to invoice cannot put the invoice into an overpaid state.



## OpenAPI

````yaml put /v1/businesses/{businessId}/invoices/{invoiceId}
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/invoices/{invoiceId}:
    put:
      tags: []
      summary: Update invoice
      description: >-
        Updates an existing invoice. Payments, refunds and writeoffs are not
        changed, but updates to invoice cannot put the invoice into an overpaid
        state.
      operationId: business.invoices.put
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to update the invoice for
          required: true
          schema:
            type: string
        - name: invoiceId
          in: path
          description: The UUID of the invoice to update
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInvoiceParams'
      responses:
        '200':
          description: Invoice updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInvoice'
components:
  schemas:
    UpdateInvoiceParams:
      type: object
      properties:
        external_id:
          type: string
          description: >-
            External ID for the invoice within your platform. **Idempotency
            key**.
          example: '019234'
        sent_at:
          type: string
          format: date-time
          description: When the invoice was sent by the business to the recipient.
        due_at:
          type: string
          format: date-time
          description: When the invoice is due.
        voided_at:
          type: string
          format: date-time
          description: >-
            When the invoice was voided. Voiding excludes the invoice entirely
            from accounting.
        invoice_number:
          type: string
          description: Number for the invoice for display to end-users.
          example: '1'
        customer_id:
          type: string
          format: uuid
          description: ID of the customer to associate with the invoice.
        customer_external_id:
          type: string
          description: External ID of the customer to associate with the invoice.
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/NewInvoiceLineItem'
          description: Line items making up the invoice.
        additional_sales_taxes:
          type: array
          items:
            $ref: '#/components/schemas/ApiInvoiceTaxLineItem'
          description: List of sales tax obligations on this line item.
        additional_discount:
          type: integer
          description: >-
            Additional discount applied to the whole invoice in addition to
            individual line items.
        tips:
          type: integer
          description: Tips included by the buyer, in cents.
        tips_account:
          $ref: '#/components/schemas/AccountIdentifier'
          description: The Account Identifier for a tips account.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagKeyValue'
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the invoice (for
            example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the invoice. Can be used to filter when listing invoices.
    ApiInvoice:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the invoice.
        type:
          type: string
          description: Resource type. Value will be 'Invoice'.
          example: Invoice
        business_id:
          type: string
          format: uuid
          description: ID of the Business that generated the invoice.
        external_id:
          type: string
          description: Unique ID of the invoice in your system for linking purposes.
          example: '1'
        status:
          $ref: '#/components/schemas/InvoiceStatus'
          description: Status of the invoice.
        sent_at:
          type: string
          format: date-time
          description: When the invoice was sent by the business to the recipient.
        due_at:
          type: string
          format: date-time
          description: When the invoice is due.
        paid_at:
          type: string
          format: date-time
          description: When the invoice was paid.
        voided_at:
          type: string
          format: date-time
          description: >-
            When the invoice was voided. Voiding excludes the invoice from
            accounting.
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/ApiInvoiceLineItem'
          description: Line items making up the invoice
        subtotal:
          type: integer
          description: Subtotal of all invoice line items in cents.
        additional_discount:
          type: integer
          description: >-
            Additional discount applied to the whole invoice in addition to
            individual line items.
        additional_sales_taxes_total:
          type: integer
          description: >-
            Sum of all taxes across the invoice line items and any additional
            taxes in cents.
        additional_sales_taxes:
          type: array
          items:
            $ref: '#/components/schemas/ApiInvoiceTaxLineItem'
          description: List of additional sales tax line items
        tips:
          type: integer
          description: Tips included by the buyer, in cents.
        total_amount:
          type: integer
          description: Total amount of the invoice in cents.
        outstanding_balance:
          type: integer
          description: >-
            The remaining balance on the invoice after factoring in all previous
            invoice payments and write-offs.
        memo:
          type: string
          description: >-
            Memo for any text you would like to associate with the Invoice (for
            example, to display to end users).
        payment_allocations:
          type: array
          items:
            $ref: '#/components/schemas/ApiInvoicePaymentAllocation'
          description: >-
            Payments made by a customer are allocated toward one or many
            invoices. This list shows which payments have been been allocated
            towards this invoice. The most common case is that there is a 1:1
            relationship between a payment and an invoice, in which case the
            allocation’s `amount` will match the payment’s `amount`.
          example: []
        refund_allocations:
          type: array
          items:
            $ref: '#/components/schemas/ApiRefundAllocation'
          description: >-
            Refunds made by a customer are allocated toward one or many
            invoices. This list shows which refunds have been been allocated
            towards this invoice.
          example: []
        imported_at:
          type: string
          format: date-time
          description: >-
            Time when the invoice was first imported into Layer. **Eligible sort
            key**.
        updated_at:
          type: string
          format: date-time
          description: >-
            Time when the invoice was first updated in Layer. **Eligible sort
            key**.
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
          description: Tags on the transactions associated with the invoice
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the invoice. Can be used to filter when listing invoices.
    NewInvoiceLineItem:
      type: object
      properties:
        account_identifier:
          $ref: '#/components/schemas/AccountIdentifier'
          description: Account identifier for the line item
        prepayment_account_identifier:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: >-
            Ledger account for the line item used for accrual reporting. Should
            only be specified when this line item is a pre-payment.
        external_id:
          type: string
          nullable: true
          description: The external ID of the invoice line item in your system.
        description:
          type: string
          nullable: true
          description: Description for the new invoice line item
          example: Line item description
        product:
          type: string
          description: Name of the product the line item is for
          example: Widgets
        unit_price:
          type: integer
          format: int64
        quantity:
          type: number
          format: bigdecimal
          nullable: true
        discount_amount:
          type: integer
          format: int64
          nullable: true
        sales_taxes:
          type: array
          items:
            $ref: '#/components/schemas/ApiInvoiceTaxLineItem'
          nullable: true
        dedicated_refunds:
          type: array
          items:
            $ref: '#/components/schemas/CreateDedicatedRefundParams'
          description: Dedicated refunds to associate with this invoice line item
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagKeyValue'
          description: List of tags to associate with the invoice line item.
    ApiInvoiceTaxLineItem:
      type: object
      properties:
        tax_account:
          $ref: '#/components/schemas/TaxAccountIdentifier'
          description: >-
            Tax account name or identifier. If not set, account defaults to top
            level sales tax payable liability account.
        tax_ledger_account:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: Ledger account for the tax line item
          example:
            id: c4007474-f604-4d57-9690-b7f40f7a1cee
            name: 'Sales tax: CALIFORNIA'
            stable_name: SALES_TAXES_PAYABLE:CALIFORNIA
            normality: CREDIT
            account_type:
              value: LIABILITY
              display_name: Liabilities
            account_subtype:
              value: SALES_TAXES_PAYABLE
              display_name: Sales Taxes Payable
        amount:
          type: integer
          format: int64
          description: Amount, in cents, of tax owed.
    AccountIdentifier:
      oneOf:
        - $ref: '#/components/schemas/AccountId'
          description: ID of the account
          title: Account ID
        - $ref: '#/components/schemas/AccountStableName'
          description: Stable name associated with the account
          title: Account Stable Name
    TagKeyValue:
      type: object
      description: >-
        A TagKeyValue holds key=value data related to a tag. This is used when
        creating or updating taggable entities (transactions, invoices, etc.).
      properties:
        key:
          type: string
          description: The tag dimension key (e.g., "department", "project", "location")
          example: department
        dimension_display_name:
          type: string
          nullable: true
          description: >-
            If the TagDimension doesn't exist, providing this value specifies
            the display name upon database insertion. Otherwise, it is left as
            null on the TagDimension.
          example: Department
        value:
          type: string
          description: The tag value (e.g., "sales", "marketing", "engineering")
          example: sales
        value_display_name:
          type: string
          nullable: true
          description: >-
            If the TagValueDefinition doesn't exist, providing this value
            specifies the display name upon database insertion. Otherwise, it is
            left as null on the TagValueDefinition.
          example: Sales Department
      required:
        - key
        - value
    PlatformDefinedJson:
      type: object
      description: Arbitrary JSON data defined by the caller, with a 1KB size constraint
      additionalProperties: true
      example:
        custom_field: value
        any valid json: below 1kb
        nested:
          meaning of life: 42
          array: []
    InvoiceStatus:
      type: string
      enum:
        - SENT
        - PARTIALLY_PAID
        - PAID
        - VOIDED
        - PARTIALLY_WRITTEN_OFF
        - WRITTEN_OFF
        - REFUNDED
    ApiInvoiceLineItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the invoice line item.
        external_id:
          type: string
          nullable: true
          description: The external ID of the invoice line item in your system.
        invoice_id:
          type: string
          format: uuid
          description: ID of the parent invoice
        account_identifier:
          $ref: '#/components/schemas/AccountIdentifier'
          description: Identifier for the account
        ledger_account:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: Ledger account for the line item
        prepayment_account:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: >-
            Ledger account for the line item used for accrual reporting. Should
            only be specified when this line item is a pre-payment.
        description:
          type: string
          nullable: true
          description: Description for the invoice line item
          example: Widget sale
        product:
          type: string
          description: Name of the product the invoice line item is for
          example: Widget
        unit_price:
          $ref: '#/components/schemas/SignedAmount'
          description: The amount in cents of each unit.
        quantity:
          type: number
          format: bigdecimal
          description: Number of units sold.
        subtotal:
          type: integer
          format: int64
          description: Subtotal for the invoice line item in cents.
        discount_amount:
          type: integer
          format: int64
          description: Total discount given to this line item, in cents.
        sales_taxes_total:
          type: integer
          format: int64
          description: Sum of amounts for all sales taxes for the line item
        sales_taxes:
          type: array
          items:
            $ref: '#/components/schemas/ApiInvoiceTaxLineItem'
          description: 'List of sales taxes line items '
          nullable: true
        total_amount:
          type: integer
          format: int64
          description: Total amount on the line item
        refund_allocations:
          type: array
          items:
            $ref: '#/components/schemas/ApiRefundAllocation'
          description: Refund allocations associated with this invoice line item
          example: []
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
          description: >-
            List of tags on the transaction associated with the invoice line
            item.
    ApiInvoicePaymentAllocation:
      type: object
      properties:
        invoice_id:
          type: string
          format: uuid
          description: ID of the invoice.
        payment_id:
          type: string
          format: uuid
          description: ID of the payment.
        amount:
          type: integer
          format: int64
          description: >-
            Amount of the payment allocated towards this invoice. If this amount
            is the full payment amount, this payment was fully allocated towards
            this invoice. The amount cannot exceed the invoice total.
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
          description: >-
            List of tags on the transaction associated with the payment
            allocation
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the invoice
            payment allocation (for example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the invoice payment allocation.
    ApiRefundAllocation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the refund allocation.
        invoice_id:
          type: string
          format: uuid
          nullable: true
          description: ID of the invoice this allocation is associated with.
        amount:
          type: integer
          format: int64
          description: Amount of the allocation in cents.
        account_identifier:
          $ref: '#/components/schemas/AccountIdentifier'
          description: >-
            Identifier of the ledger account for the refund allocation to apply
            to
          nullable: true
        invoice_external_id:
          type: string
          nullable: true
          description: External ID of the invoice this allocation is associated with.
        invoice_line_item_id:
          type: string
          format: uuid
          nullable: true
          description: >-
            ID of the invoice line item this allocation is associated with. If
            specified, must not refer to a different invoice `invoice_external`
            or `invoice_id`.
        invoice_line_item_external_id:
          type: string
          nullable: true
          description: >-
            The external ID of the invoice line item to refund. If specified
            alongside `invoice_line_item_id`, they must refer to the same
            invoice line item.
        invoice_payment_id:
          type: string
          format: uuid
          nullable: true
          description: ID of the invoice payment this allocation is associated with.
        invoice_payment_external_id:
          type: string
          nullable: true
          description: >-
            External ID of the invoice payment this allocation is associated
            with.
        customer:
          $ref: '#/components/schemas/ApiCustomerData'
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the refund
            allocation (for example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the refund allocation.
    ApiTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID for the tag
        key:
          type: string
          description: Key for the tag
          example: ExampleTagKey
        dimension_display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension
        value:
          type: string
          description: Value for the tag
          example: ExampleTagValue
        value_display_name:
          type: string
          nullable: true
          description: Display name for the tag value definition
        dimension_id:
          type: string
          format: uuid
          description: ID of the tag dimension this tag belongs to
        definition_id:
          type: string
          format: uuid
          description: ID of the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: When the tag was archived
      required:
        - id
        - key
        - value
        - dimension_id
        - definition_id
    SingleApiChartAccount:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountIdentifier'
        name:
          type: string
          description: Name of the account
          example: Current Assets
        account_number:
          type: string
          nullable: true
          description: Account number if configured
          example: '4000'
        stable_name:
          $ref: '#/components/schemas/AccountStableName'
        normality:
          $ref: '#/components/schemas/BankTransactionDirection'
        account_type:
          $ref: '#/components/schemas/ApiLedgerAccountType'
        account_subtype:
          $ref: '#/components/schemas/ApiLedgerAccountSubtype'
      description: A single ledger account without nested children
    CreateDedicatedRefundParams:
      type: object
      properties:
        external_id:
          type: string
          description: >-
            Unique ID of the refund in your system for linking purposes.
            **Idempotency key**.
          example: '31415926535'
        account_identifier:
          $ref: '#/components/schemas/AccountIdentifier'
          nullable: true
          description: >-
            Optional account identifier to override what ledger account the
            dedicated refund comes out of.
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/CreateCustomerRefundAllocationLineItemParams'
          nullable: true
          description: >-
            Detailed line items for the refund allocation. Use this for itemized
            refunds where you need to specify the exact amounts and accounts.
        completed_at:
          type: string
          format: date-time
          description: When the dedicated refund was given and paid.
        refund_processing_fee:
          type: integer
          format: int64
          description: Fee charged to the business for processing the refund.
        method:
          $ref: '#/components/schemas/PaymentMethod'
        processor:
          type: string
          nullable: true
        refunded_payment_fees:
          type: array
          items:
            $ref: '#/components/schemas/RefundedPaymentFeeInput'
          description: >-
            List of fees associated with the payment for this dedicated refund.
            These are refunded from the payment processor rather than the
            business.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagKeyValue'
          description: List of tags associated with this dedicated refund
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the refund (for
            example, to display to end users).
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the refund. Can be used to filter when listing refunds.
    TaxAccountIdentifier:
      type: object
      oneOf:
        - $ref: '#/components/schemas/TaxName'
          title: Tax Name
        - $ref: '#/components/schemas/LedgerAccountIdentifier'
          title: Ledger Account ID
      discriminator:
        propertyName: type
        mapping:
          AccountId: '#/components/schemas/LedgerAccountIdentifier'
          Tax_Name: '#/components/schemas/TaxName'
    AccountId:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `AccountId`.
          example: AccountId
        id:
          type: string
          format: uuid
          description: ID of the account
    AccountStableName:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be `StableName`.
          example: StableName
        stable_name:
          type: string
          example: CURRENT_ASSETS
          description: Stable name of the account
    SignedAmount:
      type: integer
      format: int64
    ApiCustomerData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the customer.
        external_id:
          type: string
          description: >-
            Unique ID of the customer in your system for linking purposes.
            **Idempotency key**.
          example: '31415926535'
        individual_name:
          type: string
          nullable: true
          description: >-
            Full name of the individual customer or contact at a corporate
            customer.
        company_name:
          type: string
          nullable: true
          description: Name of the company customer.
        email:
          type: string
          nullable: true
          description: Email address of the customer.
        mobile_phone:
          type: string
          nullable: true
          description: Mobile phone number of the customer.
        office_phone:
          type: string
          nullable: true
          description: Office phone number of the customer.
        address_string:
          type: string
          nullable: true
          description: Address of the customer.
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the customer (for
            example, to display to end users).
        status:
          type: string
          description: 'Status of the customer. Possible values: `ACTIVE`, `ARCHIVED`.'
          example: ACTIVE
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
    BankTransactionDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
    ApiLedgerAccountType:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountType'
          description: Type of the account
        display_name:
          type: string
          description: Display name of the account type
          example: Asset
    ApiLedgerAccountSubtype:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountSubtype'
        display_name:
          type: string
          description: Display name of the account subtype
          example: Current Assets
    CreateCustomerRefundAllocationLineItemParams:
      type: object
      properties:
        external_id:
          type: string
          nullable: true
          description: An external identifier for the line item.
        amount:
          type: integer
          format: int64
          description: The amount of this line item in cents.
        account_identifier:
          $ref: '#/components/schemas/AccountIdentifier'
          nullable: true
          description: Identifier of the ledger account for this line item.
        prepayment_account_identifier:
          $ref: '#/components/schemas/AccountIdentifier'
          nullable: true
          description: Identifier of the prepayment ledger account for this line item.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagKeyValue'
          description: Tags to associate with the line item.
        memo:
          type: string
          nullable: true
          description: Memo for any text you would like to associate with the line item.
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the refund allocation line item.
      required:
        - amount
      description: Parameters for creating a refund allocation line item.
    PaymentMethod:
      type: string
      enum:
        - CASH
        - CHECK
        - CREDIT_CARD
        - ACH
        - CREDIT_BALANCE
        - OTHER
    RefundedPaymentFeeInput:
      type: object
      properties:
        account:
          $ref: '#/components/schemas/AccountIdentifier'
          description: Account to which the fee should be allocated.
        description:
          type: string
          nullable: true
          description: Description of the fee.
        fee_amount:
          type: integer
          format: int64
          description: Amount of the fee in cents.
      required:
        - account
        - fee_amount
      description: Input parameters for a refunded payment fee.
    TaxName:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be 'Tax_Name'.
          example: Tax_Name
        name:
          type: string
          description: Name of the ledger account
          example: CALIFORNIA_VAT
      required:
        - name
    LedgerAccountIdentifier:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be 'Ledger_Account_Identifier'.
          example: Ledger_Account_Identifier
        id:
          type: string
          format: uuid
          description: ID of the ledger account
      required:
        - id
    LedgerAccountType:
      type: string
      enum:
        - ASSET
        - LIABILITY
        - EQUITY
        - REVENUE
        - COGS
        - EXPENSE
    LedgerAccountSubtype:
      type: string
      enum:
        - BANK_ACCOUNTS
        - ACCOUNTS_RECEIVABLE
        - INVENTORY
        - PAYMENT_PROCESSOR_CLEARING_ACCOUNT
        - FIXED_ASSET
        - ACCUMULATED_DEPRECIATION
        - CASH
        - UNDEPOSITED_FUNDS
        - CURRENT_ASSET
        - NON_CURRENT_ASSET
        - PREPAID_EXPENSES
        - DEVELOPMENT_COSTS
        - LOANS_RECEIVABLE
        - INTANGIBLE_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - TAXES_PAYABLE
        - INCOME_TAXES_PAYABLE
        - SALES_TAXES_PAYABLE
        - OTHER_TAXES_PAYABLE
        - PAYROLL_TAXES_PAYABLE
        - UNEARNED_REVENUE
        - PAYROLL_LIABILITY
        - PAYROLL_CLEARING
        - LINE_OF_CREDIT
        - TIPS
        - REFUND_LIABILITIES
        - UNDEPOSITED_OUTFLOWS
        - OUTGOING_PAYMENT_CLEARING_ACCOUNT
        - OTHER_CURRENT_LIABILITY
        - LOANS_PAYABLE
        - NOTES_PAYABLE
        - SHAREHOLDER_LOAN
        - NON_CURRENT_LIABILITY
        - CONTRIBUTIONS
        - DISTRIBUTIONS
        - COMMON_STOCK
        - PREFERRED_STOCK
        - ADDITIONAL_PAID_IN_CAPITAL
        - RETAINED_EARNINGS
        - ACCUMULATED_ADJUSTMENTS
        - OPENING_BALANCE_EQUITY
        - OTHER_EQUITY
        - SALES
        - UNCATEGORIZED_REVENUE
        - RETURNS_ALLOWANCES
        - DIVIDEND_INCOME
        - INTEREST_INCOME
        - OTHER_INCOME
        - COGS
        - OPERATING_EXPENSES
        - PAYROLL
        - TAXES_LICENSES
        - UNCATEGORIZED_EXPENSE
        - CHARITABLE_CONTRIBUTIONS
        - LOAN_EXPENSES
        - FINANCE_COSTS
        - INTEREST_EXPENSES
        - DEPRECIATION
        - AMORTIZATION
        - BAD_DEBT
        - OTHER_EXPENSES
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````